info.clear ();
var model = project.current_model();

model.load  ('../Scripts/elaborate design/palmitic ion.mlm');

var mol_count = 100;

for (i=0;  i<mol_count - 1;  ++i)
{
	var angle        = (360/mol_count) * Math.PI / 180;
	var random_angle = random.inc (2.8) - 1.4;

	model.rotate (0, 0, 1, 0,0,0, angle);
	model.rotate (0, 1, 0, 0,0,0, random_angle);
	model.add   ('../Scripts/elaborate design/palmitic ion.mlm');
	model.rotate (0, 1, 0, 0,0,0, -random_angle);
	model.fit_to_screen();
}

model.save_as ('../Scripts/elaborate design/micelle 1 start.mlm');